Página 2 de 2 PrimeiroPrimeiro 12
+ Responder ao Tópico



  1. Percebi uma coisa que pode esta fazendo a diferença, não tenha a biclioteca libapache2-svn instalda, decidi instalar manualmente com apt-get, só que percebi que instalou a versão 1.6 e eu não quero essa biblioteca com essa versão, preciso da versão 1.4.2, fiz um apt-get remove --purge nela, e baixei libapache2-svn_1.4.2dfsg1-2_i386.deb, na hora que estou instalando ele mostra o erro:

    ERROR: Module dav not properly enabled: /etc/apache2/mods-enabled/dav.load is a real file, not touching it
    ERROR: Could not enable dependency dav for dav_svn, aborting
    dpkg: erro processando libapache2-svn (--install):


    e fica assim:
    iF libapache2-svn 1.4.2dfsg1-2 Subversion server modules for Apache

    o que significa esse iF? por favor me ajudem a instalar essa biblioteca, essa pode ser a solução para meu problema. Valeu.

  2. Então,
    Como falei antes meu svn roda diferente do seu. Eu rodo um daemon (svnserver) na porta 3690 (svnserve -r /var/repositorios/ -d). ROdando dessa forma para baixar um projeto eu uso o protocolo svn, que foi a linha de comando do checkout que passei acima (svn co svn://192.168....../projeto )

    Seu servidor roda com apache o svn (dav, web_dav). Os pacotes que tenho instalado são default da instalação do debian 5.0:

    libsvn1 1.5.1dfsg1-2
    libapache2-svn 1.5.1dfsg1-2


    voce baixou o .deb do pacote libapache2-svn ou tentou instalar por apt-get?

    Não lembro o que é o status iF mas caso tenha baixado o .deb tente forçar a instalação com --force

    -- Edit--

    Lembrei agora, muitas vezes para resolver problemas de dependencias utilizei oapt-get install -f , tome apenas cuidado para que ele nao traga pacotes desnecessarios para instalar..



  3. eu fiz o apt-get -f install, segue
    apt-get -f install Lendo listas de pacotes... Pronto
    Construindo �rvore de depend�ncias
    Lendo informa��o de estado... Pronto
    Os seguintes pacotes foram instalados automaticamente e j� n�o s�o necess�rios:
    libtasn1-3-dev libgpg-error-dev libgcrypt11-dev libgnutls-dev
    Use 'apt-get autoremove' para remov�-los.


    Não tem muita importância, sei que tenho que instalar esse libapache2-svn_1.4.2dfsg1-2_i386.deb
    quando rodo o dpkg -i nesse .deb ele chega até instalar, só que acho que com algum problema ainda que quando listo ele mostra:

    iF libapache2-svn 1.4.2dfsg1-2 Subversion server modules for Apache

    preciso dessa biblioteca para começar a sanar os problemas, tenho certeza que se instalar esse corretamente ja adianta muita coisa. Agradeço sua ajuda, valeu.

  4. Pessoal, tenho instalado o libapache2-svn_1.4.2dfsg1-2_i386.deb, porém quando verifico o status do pacote, percebo o seguinte:

    dpkg -l libapache2-svn

    iF libapache2-svn 1.4.2dfsg1-2


    dpkg -s libapache2-svn


    Package: libapache2-svnStatus: install ok half-configured
    Priority: optional
    Section: net
    Installed-Size: 328
    Maintainer: Peter Samuelson <peter@p12n.org>
    Architecture: i386
    Source: subversion
    Version: 1.4.2dfsg1-2
    Depends: apache2.2-common, libc6 (>= 2.3.6-6), libsvn1 (>= 1.4)
    Suggests: db4.4-util
    Conffiles:
    /etc/apache2/mods-available/dav_svn.load b637737b9dce03152a6b6566d36d9671
    /etc/apache2/mods-available/dav_svn.conf b5e65abc96fe6573a4b67b4c0836a5bb
    Description: Subversion server modules for Apache
    This package provides the mod_dav_svn and mod_authz_svn modules for
    the Apache 2.2 web server. These modules provide Subversion's WebDAV
    server backend, to serve repositories over the http and https
    protocols. See the 'subversion' package for more information.


    O status mostra que esta meio configurado, eu já fiz de tudo, fiz alteração no arquivo que é mostrado
    /etc/apache2/mods-available/dav_svn.conf e nada, não roda, aguem poderia ajudar por favor?

    Agradeço






Tópicos Similares

  1. Problema com cartão XR5, não funciona 2.4
    Por gabrielfast no fórum Redes
    Respostas: 10
    Último Post: 04-11-2011, 14:12
  2. squid com delay pools nao funciona
    Por dispatcher no fórum Servidores de Rede
    Respostas: 0
    Último Post: 01-04-2005, 10:57
  3. Sites com Aplets Java não funciona com Squid
    Por buribai no fórum Servidores de Rede
    Respostas: 3
    Último Post: 18-12-2004, 09:16
  4. Problemas com o iptables, não consigo conectar ao ssh
    Por vonlinkerstain no fórum Servidores de Rede
    Respostas: 2
    Último Post: 30-06-2004, 22:56
  5. cliente dhcp com conectiva 9 não funciona
    Por Fernando-RJ no fórum Servidores de Rede
    Respostas: 0
    Último Post: 14-04-2004, 16:50

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L